package com.smppw.modaq.domain.dto;

import cn.hutool.core.io.FileUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
public class EmailZipFileDTO {
    private final String emailTitle;
    private final String filename;
    private final String filepath;
    @Setter
    private Integer emailType;

    public EmailZipFileDTO(String emailTitle, String filepath, Integer emailType) {
        this.emailTitle = emailTitle;
        this.filepath = filepath;
        this.emailType = emailType;
        this.filename = FileUtil.getName(filepath);
    }

    public EmailZipFileDTO(String emailTitle, String filepath, String filename, Integer emailType) {
        this.emailTitle = emailTitle;
        this.filepath = filepath;
        this.emailType = emailType;
        this.filename = filename;
    }

    @Override
    public String toString() {
        return "EmailZipFileDTO{" +
                "emailTitle='" + emailTitle + '\'' +
                ", filename='" + filename + '\'' +
                ", filepath='" + filepath + '\'' +
                ", emailType=" + emailType +
                '}';
    }
}
